# eric7.Preferences.ConfigurationPages.EditorDocViewerPage

Module implementing the Editor Documentation Viewer configuration page.

### Global Attributes

None

### Classes

EditorDocViewerPage | Class implementing the Editor Documentation Viewer configuration page.

### Functions

create | Module function to create the configuration page.

## EditorDocViewerPage

Class implementing the Editor Documentation Viewer configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorDocViewerPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorDocViewerPage | Constructor
save | Public slot to save the Editor Typing configuration.

### Static Methods

None

#### EditorDocViewerPage (Constructor)

EditorDocViewerPage()

Constructor

#### EditorDocViewerPage.save

save()

Public slot to save the Editor Typing configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up